<script>

function calculaDiferenciaHoraPrevista(){

	//console.log('proceso');

	var fechaPrevista='<?php echo $_SESSION['operacion']['ProximoAutoControlCalidad']; ?>';
	//fechaPrevista='14:00:00';

	var fechaHoraProxima = new Date();
	
	var trozos=fechaPrevista.split(':');
	fechaHoraProxima.setHours(trozos[0]);
	fechaHoraProxima.setMinutes(trozos[1]);
	fechaHoraProxima.setSeconds(trozos[2]);
	
	//console.log('fechaPrevista: '+fechaPrevista);
	
	if(fechaPrevista=='00:00:00') {
	
		cadena='<strong class="error parpadea">inmediatamente</strong>';
		
		$('#proximoControlCalidad').val(1);
		$('#botonAutocontrolCalidad').attr('src','<?php echo DIR_IMAGENES; ?>/botones/calidad-parpadeando.gif');
	}
	else {
	
		if(fechaPrevista) {
	
			var fechaHoraActual = new Date();
		
			/*
			var minutos = (fechaHoraProxima - fechaHoraActual)/1000/60;
			var horas = Math.floor(minutos/60);
			minutos = minutos % 60;
			*/
			
			var segundos = Math.floor((fechaHoraProxima - fechaHoraActual)/1000);
			var minutos = Math.floor(segundos/60);
			segundos = segundos % 60;
			var horas = Math.floor(minutos/60);
			minutos = minutos % 60;
			
			if(minutos>0) {
			
				var cadena='<strong>';
				if(horas<10) cadena+='0';
				cadena+=horas+':';
				if(minutos<10) cadena+='0';
				cadena+=minutos+':';
				if(segundos<10) cadena+='0';
				cadena+=segundos;
				cadena+='</strong>';
				
				$('#proximoControlCalidad').val('');
				$('#botonAutocontrolCalidad').attr('src','<?php echo DIR_IMAGENES; ?>/botones/calidad.png');
				
			}
			else {
			
				horas=Math.abs(horas);
				minutos=Math.abs(minutos);
				segundos=Math.abs(segundos);
			
				var cadena='<strong class="error parpadea">-';
				if(horas<10) cadena+='0';
				cadena+=horas+':';
				if(minutos<10) cadena+='0';
				cadena+=minutos+':';
				if(segundos<10) cadena+='0';
				cadena+=segundos;
				cadena+='</strong>';
				
				$('#proximoControlCalidad').val(1);
				$('#botonAutocontrolCalidad').attr('src','<?php echo DIR_IMAGENES; ?>/botones/calidad-parpadeando.gif');
			
			}
		
		}
		
	}
	
	$('#proximoControlCalidadAviso').html(cadena);
	//$('#popupCargando').hide();
	
}

<?php if( $autoControlesCalidadProgramados ) { ?>
setInterval(calculaDiferenciaHoraPrevista,1000);
<?php } ?>

</script>



<?php if(isset($FichajesActivodEnTransformacion) && $FichajesActivodEnTransformacion) { ?>

	<?php 
	
	$ritmoTeorico=$_SESSION['operacion']['RitmoTeorico'];
	$ritmoReal=$_SESSION['operacion']['RitmoReal'];
	$ritmoUltimoCierre=$_SESSION['operacion']['RitmoUltimoCierre'];
	
	?>

    <div id="menuFlotanteTerciario" style="z-index:20000">
    
		<img src="<?php echo DIR_IMAGENES; ?>/flecha-derecha.png" class="iconoAperturaCierre" abierto="si"/>
        
		<table style="margin-right:50px">
        	<tr>
            	<td><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" style="width:20px;"/></td>
                <td align="left">Ritmo teórico:</td>
                <td align="right"><strong><?php echo number_format($ritmoTeorico,2,',','.'); ?></strong> Un/pers/h</td>
        	</tr>
            <tr>
            	<td><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" style="width:20px;"/></td>
                <td align="left">Ritmo real:</td>
                <td align="right" class="<?php if($ritmoReal) { if($ritmoReal>=$ritmoTeorico) { ?>verde<?php } else { ?>rojo<?php } } ?>"><strong><?php echo number_format($ritmoReal,2,',','.'); ?></strong> Un/pers/h</td>
            </tr>
            <tr>
            	<td><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" style="width:20px;"/></td>
                <td align="left">Ritmo último cierre:</td>
                <td align="right" class="<?php if($ritmoUltimoCierre) { if($ritmoUltimoCierre>=$ritmoTeorico) { ?>verde<?php } else { ?>rojo<?php } } ?>"><strong><?php echo number_format($ritmoUltimoCierre,2,',','.'); ?></strong> Un/pers/h</td>
            </tr>
		</table>
    
	</div>
    
    <script>
	
	$(document).ready(function(){
	
		$('#menuFlotanteTerciario .iconoAperturaCierre').on('click',function(){
		
			const abierto=($(this).attr('abierto')=='si');
			
			if(abierto) {
				$('#menuFlotanteTerciario table').hide();
				$(this).attr('src','<?php echo DIR_IMAGENES; ?>/flecha-izquierda.png');
				$(this).attr('abierto','no');
			}
			else {
				$('#menuFlotanteTerciario table').show();
				$(this).attr('src','<?php echo DIR_IMAGENES; ?>/flecha-derecha.png');
				$(this).attr('abierto','si');
			}
		
		});
	
	});
	
	</script>

<?php } ?>




<div id="menuOrdenPreparacion" style="z-index:20000">

	<?php //echo '<p>MENU desactivaProceso: '.$desactivaProceso.'</p>'; ?>
	
    <?php if(!$desactivaProceso) { ?>
    
    	<div id="bloqueProceso" style="background-color:#<?php if($_SESSION['operacion']['EstadoProduccion']=='Pendiente') { ?>dddddd<?php } else { ?>3bc000<?php } ?>;margin:-20px -25px 20px -20px;padding-top:20px">
   
			<?php if($_SESSION['operacion']['EstadoProduccion']=='Pendiente') { ?>
            	<img id="botonInicioProceso" src="<?php echo DIR_IMAGENES; ?>/botones/rueda-play.png" alt="Inicio proceso de transformación" class="icono"/>
            <?php } ?>
            <?php if($_SESSION['operacion']['EstadoProduccion']=='Iniciado') { ?>
            	<img id="botonFinProceso" src="<?php echo DIR_IMAGENES; ?>/botones/rueda-stop.png" alt="Inicio proceso de transformación" class="icono"/>
            <?php } ?>

    	</div>
    
    <?php } ?>
    
	<?php if( !$desactivarPlay ) { ?>
    <img id="botonSgteProducto" src="<?php echo DIR_IMAGENES; ?>/botones/play.png" alt="Proceso de Transformación" class="icono continuar revisaControlCalidad"/>
    <?php } else { ?>
    <img id="botonSgteProductoOff" src="<?php echo DIR_IMAGENES; ?>/botones/play-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if( $mostrarMenuDocumentos ) { ?>
    <img id="verDocumentos" src="<?php echo DIR_IMAGENES; ?>/botones/documentos.png" alt="Documentos asociados" class="icono continuar"/>
    <?php } else { ?>
    <!--<img id="verDocumentosOff" src="<?php echo DIR_IMAGENES; ?>/botones/documentos-off.png" alt="" class="icono off"/>-->
    <?php } ?>
    
    <?php if( !$desactivarActivarPalet && !$playPasaPorLimpiezaInicio ) { ?>
    <img id="botonActivarPalets" src="<?php echo DIR_IMAGENES; ?>/botones/palet-añadir.png" alt="Activar Palet" class="icono revisaControlCalidad"/>
    <?php } else { ?>
    <img id="botonActivarPaletsOff" src="<?php echo DIR_IMAGENES; ?>/botones/palet-añadir-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if( !$desactivarDesactivarPalet && !$playPasaPorLimpiezaInicio) { ?>
    <img id="botonDesactivarPalets" src="<?php echo DIR_IMAGENES; ?>/botones/palet-quitar.png" alt="Desactivar Palet" class="icono revisaControlCalidad"/>
    <?php } else { ?>
    <img id="botonDesactivarPaletsOff" src="<?php echo DIR_IMAGENES; ?>/botones/palet-quitar-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['parametrosSGA']['GestionAutocontrolesCalidad']=='S') { ?>
    
    	<?php if($_SESSION['operacion']['ProductoObtener']['ProductoRegimen']!='DF') { ?>
    
			<?php if(!$deshabilitarBotonAutocontrolCalidad && !$playPasaPorLimpiezaInicio) { ?>
                <img id="botonAutocontrolCalidad" src="<?php echo DIR_IMAGENES; ?>/botones/calidad.png" alt="Autocontrol de calidad" class="icono"/>
            <?php } else { ?>
            <img id="botonAutocontrolCalidadOff" src="<?php echo DIR_IMAGENES; ?>/botones/calidad-off.png" alt="" class="icono off"/>
            <?php } ?>
        
        <?php } ?>
    
    <?php } ?>
    
    
    <?php if( $_SESSION['operacion']['Limpiezas'] ) { ?>
    
		<?php if( !$deshabilitarBotonLimpieza) { ?>
        	<img id="botonLimpieza" src="<?php echo DIR_IMAGENES; ?>/botones/limpieza.png" alt="Control de limpieza" class="icono revisaControlCalidad"/>
        <?php } else { ?>
            <img id="botonLimpiezaOff" src="<?php echo DIR_IMAGENES; ?>/botones/limpieza-off.png" alt="Control de limpieza" class="icono"/>
        <?php } ?>

    <?php } else { ?>
    
    <img id="botonLimpiezaOff" src="<?php echo DIR_IMAGENES; ?>/botones/limpieza-off.png" alt="Control de limpieza" class="icono"/>
    
    <?php } ?>
    
    <?php if( !$desactivarVolver ) { ?>
    <img id="botonVolver" src="<?php echo DIR_IMAGENES; ?>/botones/back.png" alt="Volver" class="icono"/>
    <?php } ?>
    
    <?php if( !$desactivarStop ) { ?>
    <img id="botonFinalizar" src="<?php echo DIR_IMAGENES; ?>/botones/stop.png" alt="Salir" class="icono"/>
     <?php } else { ?>
     <img id="botonFinalizarOff" src="<?php echo DIR_IMAGENES; ?>/botones/stop-off.png" alt="Salir" class="icono"/>
     <?php } ?>

</div>


<script>

function construyeUrlAutocontrolCalidad(ordinal,procedencia,ordinalConcepto) {
	
		var url;
	
		url ='calidad-control.php';
		url+='?procedencia='+procedencia;
		url+='&empresa=<?php echo $_SESSION['operacion']['Empresa']; ?>';
		url+='&transformacion=<?php echo $_SESSION['operacion']['NumOperacion']; ?>';
		url+='&producto=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCodigo']; ?>';
		url+='&productoNombre=<?php echo urlencode($_SESSION['operacion']['ProductoObtener']['ProductoDescripcion']); ?>';
		url+='&regimen=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoRegimen']; ?>';
		url+='&idioma=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoIdioma']; ?>';
		url+='&lote=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoLote']; ?>';
		url+='&caducidad=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCaducidad']; ?>';
		url+='&precinta=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoPrecinta']; ?>';
		url+='&lineaTrabajo=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada']; ?>';
		url+='&lineaTrabajoNombre=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?>';
		url+='&turnoTrabajo=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado']; ?>';
		url+='&turnoTrabajoNombre=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?>';
		url+='&cliente=<?php echo $_SESSION['operacion']['Cliente']; ?>';
		
		if(ordinal) url+='&ordinal='+ordinal;
		if(ordinalConcepto) url+='&ordinalConcepto='+ordinalConcepto;
		
		return url;
			
}

$(document).ready(function() {

	$('#botonFinalizar').on("click",function(e){
	
		e.preventDefault();
		
		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/operacion-logistica-transformacion-desbloqueo.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'empresa' : '<?php echo $_SESSION['operacion']['Empresa']; ?>', 'operacion' : '<?php echo $_SESSION['operacion']['NumOperacion']; ?>' } )
		.done(function(data){
			<?php if($_GET['traza']=='si') { ?>
			$('#popupCargando').hide();
			alert(data);
			<?php } else { ?>
			var valores=data.split('#');
			if(valores[0]=='1') {
				$('#popupCargando').hide();
				alert('Error: '+valores[1],null,'error');
			}
			else {
				window.location='operaciones-logisticas.php';
			}
			<?php } ?>
		});

	});
	
	
});

</script>